<?php

require_once('../../../config.php');
require_once($CFG->libdir.'/fs_moodle/fs_backup.php');
require_once($CFG->libdir.'/fs_moodle/fs_status/lib.php');

if (!fs_isadmin()) error('あなたは管理者権限を持つユーザではありません．');

printout_backup_exception_conditions();

$filename = $_POST['filename'];
if (!empty($filename)) {
    newline();
    echo '　入力されたファイル名は'.color_blue($filename).'です．';
    newline();
    newline();
    fs_set_backup_exception();
    fs_exception_condition_settingup(-1);
    echo '　このファイル／フォルダは';
    if (($no = fs_is_this_exceptional($filename, true))) {
        echo color_red('No.'.$no).'のバックアップ制限条件に合致するので'.color_red('バックアップされません．');
    } else {
        echo 'バックアップ制限条件に合致しませんので'.color_blue('バックアップされます．');
    }
    newline();
    newline();
    echo 'なお，現在，FS_ENABLE_BACKUP_EXCEPTIONは';
    if (fs_is_enable_backup_exception()) {
        echo color_blue('有効').'です．';
    } else {
        echo color_red('無効').'です．';
    }
    fs_reset_backup_exception();
    newline();
}

output_CloseWindowButton(true);

?>